Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_Opaque_Type_Alloc_LL Class Reference
[OSCL Base]

`#include <oscl_opaque_type.h>`

Inheritance diagram for Oscl_Opaque_Type_Alloc_LL:

## Public Methods
virtual | ~Oscl_Opaque_Type_Alloc_LL ()
virtual void | construct (OsclAny *p, const OsclAny *init_val)=0
virtual void | destroy (OsclAny *p)=0
virtual OsclAny * | allocate (const uint32 size)=0
virtual void | deallocate (OsclAny *p)=0
virtual OsclAny * | get_next (const OsclAny *elem) const=0
virtual void | set_next (OsclAny *elem, const OsclAny *nextelem)=0
virtual void | get_data (OsclAny *elem, OsclAny *data_val)=0
virtual bool | compare_data (const OsclAny *elem, const OsclAny *data_val) const=0

## Detailed Description

This class combines opaque type operations with memory allocation operations and linked list support

## Constructor & Destructor Documentation

virtual Oscl_Opaque_Type_Alloc_LL::~Oscl_Opaque_Type_Alloc_LL | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual OsclAny* Oscl_Opaque_Type_Alloc_LL::allocate | ( | const uint32 | size | ) | `[pure virtual]`

| Allocate "size" bytes

virtual bool Oscl_Opaque_Type_Alloc_LL::compare_data | ( | const OsclAny * | elem,
|  | const OsclAny * | data_val
| ) | const`[pure virtual]`

| Compare data.

virtual void Oscl_Opaque_Type_Alloc_LL::construct | ( | OsclAny * | p,
|  | const OsclAny * | init_val
| ) | `[pure virtual]`

| Construct element at p using element at init_val as the initial value. Both pointers must be non-NULL.

virtual void Oscl_Opaque_Type_Alloc_LL::deallocate | ( | OsclAny * | p | ) | `[pure virtual]`

| Deallocate memory previously allocated with "allocate"

virtual void Oscl_Opaque_Type_Alloc_LL::destroy | ( | OsclAny * | p | ) | `[pure virtual]`

| Destroy element at p.

virtual void Oscl_Opaque_Type_Alloc_LL::get_data | ( | OsclAny * | elem,
|  | OsclAny * | data_val
| ) | `[pure virtual]`

| Get data

virtual OsclAny* Oscl_Opaque_Type_Alloc_LL::get_next | ( | const OsclAny * | elem | ) | const`[pure virtual]`

| Get next element in linked list.

virtual void Oscl_Opaque_Type_Alloc_LL::set_next | ( | OsclAny * | elem,
|  | const OsclAny * | nextelem
| ) | `[pure virtual]`

| Set next element in linked list.

The documentation for this class was generated from the following file:

- oscl_opaque_type.h